JobControllerGetJobSchedule Method |
GET /Job/GetJobSchedule/{id}
Gets the schedule associated with a
Job.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("GetJobSchedule")]
public IActionResult GetJobSchedule(
Guid id,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("GetJobSchedule")>
Public Function GetJobSchedule (
id As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"GetJobSchedule")]
IActionResult^ GetJobSchedule(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("GetJobSchedule")>]
member GetJobSchedule :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The Schedule ID. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
IActionResultA
ScheduleData object containing the schedule data, or a status code indicating the problem.
See Also